#ifdef VHDL
/*
 * $Id: Counter_vhdl.cpp 81 2008-04-15 18:40:01Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/Counter/include/Counter.h"
#include "Behavioural/include/Vhdl.h"

namespace morpheo                    {
namespace behavioural {
namespace generic {
namespace counter {


  void Counter::vhdl (void)
  {
    log_printf(FUNC,Counter,"vhdl","Begin");

    Vhdl * vhdl = new Vhdl (_name);

    _interfaces->set_port     (vhdl);
    _component ->vhdl_instance(vhdl);

    vhdl_declaration (vhdl);
    vhdl_body        (vhdl);

    vhdl->generate_file();

    delete vhdl;
    log_printf(FUNC,Counter,"vhdl","End");

  };

}; // end namespace counter
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
#endif
